{
	"format_version": "1.20.20",
	"minecraft:feature_rules": {
		"description": {
			"identifier": "v360:dark_oak_forest_ruins",
			"places_feature": "v360:dark_oak_forest_ruins"
		},
		"conditions": {
			"placement_pass": "first_pass",
			"minecraft:biome_filter": {
				"test": "has_biome_tag",
				"operator": "==",
				"value": "roofed"
			}
		},
		"distribution": {
			"iterations": 1,
			"x": {
				"distribution": "uniform",
				"extent": [
					0,
					16
				]
			},
			"y": "query.heightmap(variable.worldx, variable.worldz) + -5",
			"z": {
				"distribution": "uniform",
				"extent": [
					0,
					16
				]
			},
			"scatter_chance": {
				"numerator": 1,
				"denominator": 30
			}
		}
	}
}